import org.roboid.runtime.*;
import org.roboid.hamster.*;
import org.roboid.robot.*;

int NUM_ROBOTS = 4;
Hamster[] hamsters = new Hamster[NUM_ROBOTS];

void setup() {
  for(int i = 0; i < NUM_ROBOTS; ++i) {
    hamsters[i] = Hamster.create(this);
  }

  // wait until four robots are ready
  Runner.waitUntilReady();
}

// don't forget 'draw'
void draw() {
}

void run() {
  while(true) {
    // move forward
    for(Hamster hamster : hamsters) {
      hamster.wheels(50, 50);
    }
    delay(500); // 0.5 seconds

    // move backward
    for(Hamster hamster : hamsters) {
      hamster.wheels(-50, -50);
    }
    delay(500); // 0.5 seconds

    // turn left
    for(Hamster hamster : hamsters) {
      hamster.wheels(-50, 50);
    }
    delay(500); // 0.5 seconds
  }
}