import org.roboid.runtime.*;
import org.roboid.hamster.*;
import org.roboid.robot.*;

int NUM_ROBOTS = 4;
Hamster[] hamsters = new Hamster[NUM_ROBOTS];

void setup() {
  for(int i = 0; i < NUM_ROBOTS; ++i) {
    hamsters[i] = Hamster.create(this);
  }

  // wait until four robots are ready
  Runner.waitUntilReady();
}

// don't forget 'draw'
void draw() {
}

void run() {
  int proximity, leftSpeed, rightSpeed;
  while(true) {
    for(Hamster hamster : hamsters) {
      // left wheel
      proximity = hamster.leftProximity();
      if(proximity > 15) {
        leftSpeed = (40 - proximity) * 4;
      } else {
        leftSpeed = 0;
      }

      // right wheel
      proximity = hamster.rightProximity();
      if(proximity > 15) {
        rightSpeed = (40 - proximity) * 4;
      } else {
        rightSpeed = 0;
      }
      hamster.wheels(leftSpeed, rightSpeed);
    }
    delay(20); // 20 msec
  }
}