import org.roboid.runtime.*;
import org.roboid.hamster.*;
import org.roboid.robot.*;

int NUM_ROBOTS = 4;
Hamster[] hamsters = new Hamster[NUM_ROBOTS];

void setup() {
  for(int i = 0; i < NUM_ROBOTS; ++i) {
    hamsters[i] = Hamster.create(this);
  }

  // wait until four robots are ready
  Runner.waitUntilReady();
}

// don't forget 'draw'
void draw() {
}

void execute() {
  int proximity;
  for(Hamster hamster : hamsters) {
    // left wheel
    proximity = hamster.leftProximity();
    if(proximity > 15) {
      hamster.leftWheel((40 - proximity) * 4);
    } else {
      hamster.leftWheel(0);
    }

    // right wheel
    proximity = hamster.rightProximity();
    if(proximity > 15) {
      hamster.rightWheel((40 - proximity) * 4);
    } else {
      hamster.rightWheel(0);
    }
  }
}